Create webhook
curl --request POST \
--url https://api.runflow.io/v1/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"secret_ciphertext": "<string>",
"secret_fingerprint": "<string>",
"event_subscriptions": [
{
"event_type_code": "<string>"
}
]
}
'import requests
url = "https://api.runflow.io/v1/webhooks"
payload = {
"url": "<string>",
"secret_ciphertext": "<string>",
"secret_fingerprint": "<string>",
"event_subscriptions": [{ "event_type_code": "<string>" }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
secret_ciphertext: '<string>',
secret_fingerprint: '<string>',
event_subscriptions: [{event_type_code: '<string>'}]
})
};
fetch('https://api.runflow.io/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"secret_fingerprint": "<string>",
"disabled_at": "2023-11-07T05:31:56Z",
"last_triggered_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"event_subscriptions": [
{
"webhook_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_type_code": "<string>"
}
],
"deliveries": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"webhook_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_type_code": "<string>",
"payload": {},
"created_at": "2023-11-07T05:31:56Z",
"attempts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"delivery_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attempt_number": 123,
"status_code": 123,
"response_body": "<string>",
"response_time_ms": 123,
"succeeded": true,
"next_retry_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"delivery": null
}
],
"webhook": null
}
]
}{
"code": "<string>",
"message": "<string>",
"errors": [
{}
]
}{
"code": "<string>",
"message": "<string>",
"errors": [
{}
]
}{
"code": "<string>",
"message": "<string>",
"errors": [
{}
]
}{
"code": "<string>",
"message": "<string>",
"errors": [
{}
]
}{
"code": "<string>",
"message": "<string>",
"errors": [
{}
]
}Webhooks
Create webhook
Create a new webhook. Supports nested creation of: event_subscriptions.
POST
/
v1
/
webhooks
Create webhook
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json
Response
The created webhook.
Response shape.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I